
package  server;

import java.rmi.*;
import filter.*;
public class SearchFactory 
{
public static void main(String args[]) { 
	 if (System.getSecurityManager() == null) {
		  System.setSecurityManager(new RMISecurityManager());
	 }
	 String name = "//"+args[0]+"/SearchEngine";
	 try {
		  CSearch engine = new CSearch();
		  Naming.rebind(name, engine);
		  System.out.println("SearchEngine bound");
	 } catch (Exception e) {
		  System.err.println("SearchEngine exception: " + e.getMessage());
		  e.printStackTrace();
	 }
}

}
